<?php

//OW::getRouter()->addRoute(new OW_Route('registerform.index', 'reg', "REGISTERFORM_CTRL_Reg", 'index'));
$plugin = OW::getPluginManager()->getPlugin('quesans');

OW::getAutoloader()->addClass('QuesansSelectBox', $plugin->getRootDir() . 'classes' . DS . 'quesans_select_box.php');
OW::getAutoloader()->addClass('QuesansStringValidator', $plugin->getRootDir() . 'classes' . DS . 'quesans_string_validator.php');

OW::getRouter()->addRoute(new OW_Route('quesans-default', 'quesans', 'QUESANS_CTRL_Index', 'index'));
OW::getRouter()->addRoute(new OW_Route('customize-default', 'quesans/customize', 'QUESANS_CTRL_Customize', 'index'));
OW::getRouter()->addRoute(new OW_Route('section-default', 'quesans/section/:sectionId', 'QUESANS_CTRL_Section', 'index'));
OW::getRouter()->addRoute(new OW_Route('group-default', 'quesans/:groupId', 'QUESANS_CTRL_Group', 'index'));
OW::getRouter()->addRoute(new OW_Route('topic-default', 'quesans/topic/:topicId', 'QUESANS_CTRL_Topic', 'index'));

OW::getRouter()->addRoute(new OW_Route('add-topic-default', 'quesans/addTopic', 'QUESANS_CTRL_AddTopic', 'index'));
OW::getRouter()->addRoute(new OW_Route('add-topic', 'quesans/addTopic/:groupId', 'QUESANS_CTRL_AddTopic', 'index'));

OW::getRouter()->addRoute(new OW_Route('sticky-topic', 'quesans/stickyTopic/:topicId/:page', 'QUESANS_CTRL_Topic', 'stickyTopic'));
OW::getRouter()->addRoute(new OW_Route('lock-topic', 'quesans/lockTopic/:topicId/:page', 'QUESANS_CTRL_Topic', 'lockTopic'));
OW::getRouter()->addRoute(new OW_Route('delete-topic', 'quesans/deleteTopic/:topicId', 'QUESANS_CTRL_Topic', 'deleteTopic'));

OW::getRouter()->addRoute(new OW_Route('get-post', 'quesans/getPost/:postId', 'QUESANS_CTRL_Topic', 'getPost'));
OW::getRouter()->addRoute(new OW_Route('edit-post', 'quesans/edit-post/:id', 'QUESANS_CTRL_EditPost', 'index'));
OW::getRouter()->addRoute(new OW_Route('edit-topic', 'quesans/edit-topic/:id', 'QUESANS_CTRL_EditTopic', 'index'));
OW::getRouter()->addRoute(new OW_Route('move-topic', 'quesans/moveTopic', 'QUESANS_CTRL_Topic', 'moveTopic'));
OW::getRouter()->addRoute(new OW_Route('subscribe-topic', 'quesans/subscribe-topic/:id', 'QUESANS_CTRL_Topic', 'subscribeTopic'));
OW::getRouter()->addRoute(new OW_Route('unsubscribe-topic', 'quesans/unsubscribe-topic/:id', 'QUESANS_CTRL_Topic', 'unsubscribeTopic'));

OW::getRouter()->addRoute(new OW_Route('add-post', 'quesans/addPost/:topicId/:uid', 'QUESANS_CTRL_Topic', 'addPost'));
OW::getRouter()->addRoute(new OW_Route('delete-post', 'quesans/deletePost/:topicId/:postId', 'QUESANS_CTRL_Topic', 'deletePost'));
OW::getRouter()->addRoute(new OW_Route('quesans_delete_attachment', 'quesans/deleteAttachment/', 'QUESANS_CTRL_Topic', 'ajaxDeleteAttachment'));
OW::getRouter()->addRoute(new OW_Route('quesans_admin_config', 'admin/plugins/quesans', 'QUESANS_CTRL_Admin', 'index'));
OW::getRouter()->addRoute(new OW_Route('quesans_uninstall', 'admin/quesans/uninstall', 'QUESANS_CTRL_Admin', 'uninstall'));
OW::getRouter()->addRoute(new OW_Route('quesans_search', 'quesans/search/', 'QUESANS_CTRL_Search', 'inQUESANSs'));
OW::getRouter()->addRoute(new OW_Route('quesans_search_group', 'quesans/:groupId/search/', 'QUESANS_CTRL_Search', 'inGroup'));
OW::getRouter()->addRoute(new OW_Route('quesans_search_section', 'quesans/section/:sectionId/search/', 'QUESANS_CTRL_Search', 'inSection'));
OW::getRouter()->addRoute(new OW_Route('quesans_search_topic', 'quesans/topic/:topicId/search/', 'QUESANS_CTRL_Search', 'inTopic'));
OW::getRouter()->addRoute(new OW_Route('quesans_approve_topic', 'quesans/approve/:id', 'QUESANS_CTRL_Topic', 'approve'));

QUESANS_CLASS_EventHandler::getInstance()->init();
QUESANS_CLASS_ContentProvider::getInstance()->init();

