<?php
$exArr = array();

try
{
    $sql = "CREATE TABLE IF NOT EXISTS `".OW_DB_PREFIX."quesans_subscription` (
      `id` int(11) NOT NULL auto_increment,
      `userId` int(11) NOT NULL,
      `topicId` int(11) NOT NULL,
      PRIMARY KEY  (`id`),
      UNIQUE KEY `userId` (`userId`,`topicId`)
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8;";
    
    Updater::getDbo()->query($sql);
}
catch ( Exception $e ){ $exArr[] = $e; }

try
{
    Updater::getDbo()->query("ALTER TABLE `" . OW_DB_PREFIX . "quesans_post` ADD FULLTEXT `post_text` (`text`)");
}
catch ( Exception $e ){ $exArr[] = $e; }

try
{    
    Updater::getDbo()->query("ALTER TABLE `" . OW_DB_PREFIX . "quesans_topic` ADD FULLTEXT `topic_title` (`title`)");
}
catch ( Exception $e ){ $exArr[] = $e; }

Updater::getLanguageService()->importPrefixFromZip(dirname(__FILE__) . DS . 'langs.zip', 'quesans');

try 
{
    $groupId = Updater::getAuthorizationService()->findGroupIdByName('quesans');
    
    if ( $groupId )
    {
        $action = new BOL_AuthorizationAction();
        $action->name = 'subscribe';
        $action->groupId = $groupId;
        $action->availableForGuest = false;
        
        Updater::getAuthorizationService()->addAction($action, array('en' => 'Subscribe to quesans topics'));
    }
}
catch ( Exception $e ) { $exArr[] = $e; }

print_r($exArr);
