<?php
class QUESANS_Export extends DATAEXPORTER_CLASS_Export
{
    public function excludeTableList()
    {
        return array();
    }

    public function includeTableList()
    {
        return array();
    }

    public function export( $params )
    {
        $attachmentService = QUESANS_BOL_PostAttachmentService::getInstance();
        
        $dir = OW::getPluginManager()->getPlugin('quesans')->getUserFilesDir();
        $url = OW::getStorage()->getFileUrl($dir);
        
        /* @var $za ZipArchives */
        $za = $params['zipArchive'];
        $archiveDir = $params['archiveDir'];

        $string = json_encode(array('url' => $url));
        $za->addFromString($archiveDir . '/' . 'configs.txt', $string);
    }
}